Bug 1272703 - No sound with USB 0d8c:0103 C-Media Electronics, Inc. CM102-A+/102S+ Audio Controller
No sound with USB 0d8c:0103 C-Media Electronics, Inc. CM102-A+/102S+ Audio Co...
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-17 15:59 EDT by John Reiser
Modified: 2017-01-17 09:44 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from "alsa-info.sh --no-upload" (41.00 KB, text/plain)
2015-10-17 15:59 EDT, John Reiser
no flags Details
output from "dmesg" (71.07 KB, text/plain)
2015-10-17 16:06 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2015-10-17 15:59:52 EDT
Created attachment 1083983 [details]
output from "alsa-info.sh --no-upload"

Description of problem: I get no sound at all when I select All settings > Sound > Digital Output (S/PDIF) - CM102-A+/102S+ Audio Controller (USB) > Digital Stereo (IEC958) Output.  Clicking the Test Speakers button, then the Left and Right, results in no sound.  The USB device works (with no additional software) on Mac OS X 10.10 (Yosemite).


Version-Release number of selected component (if applicable):
kernel-4.2.0-300.fc23.x86_64
pulseaudio-6.0-8.fc23.x86_64
alsa-lib-1.0.29-2.fc23.x86_64

How reproducible: every time


Steps to Reproduce:
1. Plug in (or boot with) USB device 0d8c:0103 C-Media Electronics, Inc. CM102-A+/102S+ Audio Controller, and connect the other end to a sound bar which accepts digital sound via optical cable.
2. Invoke All Settings > Sound > Output > Digital Output (S/PDIF) - CM102-A+/102S+ Audio Controller
3. Click Test Speakers, then Test (Front Left) and Test (Front Right)

Actual results: The corresponding speaker icon gets a blue tinge, and the button changes from Test to Stop and back to Test, but no sound comes out of the sound bar.  (The Output Volume control is at 100%, and the sound bar output has the same setting as worked on other computers.)


Expected results: Sound can be heard from the Left and Right channels.


Additional info:  will attach results of "alsa-info.sh --no-upload".

There is more than one sound device.  The others are:
PCI 8086:9ca0 Intel Corporation Wildcat Point-LP High Definition Audio Controller (rev 03)
PCI 8086:160c Intel Corporation Broadwell-U Audio Controller (rev 09)

When I choose HDMI/DisplayPort - Built-in Audio for Output, then digital sound does go to the HDMI port (and can be heard from a consumer TV connected to the HDMI output of the computer.)  With HDMI the first speaker test is silent, or outputs only the 't' sound at the end of "Left" or "Right".  All other speaker tests give correct output "Front Left" or "Front Right".
Comment 1 John Reiser 2015-10-17 16:06 EDT
Created attachment 1083985 [details]
output from "dmesg"
Comment 2 John Reiser 2015-10-17 16:13:23 EDT
Completely unplugging the USB device, then plugging it back in, makes sound work.  Just unplugging and re-plugging the optical cable (when the device has not yet produced sound) does not make sound work.

Additional lines from "dmesg":
=====
[ 5140.939075] usb 1-4: USB disconnect, device number 3
[ 5143.600094] usb 1-4: new full-speed USB device number 12 using xhci_hcd
[ 5143.765157] usb 1-4: New USB device found, idVendor=0d8c, idProduct=0103
[ 5143.765161] usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 5143.765163] usb 1-4: Product: USB Sound Device
[ 5143.765165] usb 1-4: Manufacturer: C-Media INC.
[ 5143.766764] usb 1-4: Warning! Unlikely big volume range (=9472), cval->res is probably wrong.
[ 5143.766767] usb 1-4: [13] FU [PCM Playback Volume] ch = 2, val = -9473/-1/1
=====
Comment 3 Laura Abbott 2016-09-23 15:25:53 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 4 John Reiser 2016-09-24 14:01:55 EDT
Change system to Fedora 25 alpha.

At first boot from power off, then Test Speakers of Sound system applet still gives no sound.  Sound works properly (speakers say "Front Left" and "Front Right") after cycling to Sleep then Awake (press front-panel power switch to enter Sleep, press any key on USB keyboard to Awake.) 

Hardware is the same as original report.  Software is now F25 alpha:
kernel-4.8.0-0.rc7.git0.1.fc25.x86_64
pulseaudio-9.0-1.fc25.x86_64
alsa-lib-1.1.1-2.fc25.x86_64

dmesg | grep 'usb 1-2.4'  says:
[    2.619053] usb 1-2.4: new full-speed USB device number 6 using ehci-pci
[    2.711593] usb 1-2.4: New USB device found, idVendor=0d8c, idProduct=0103
[    2.711595] usb 1-2.4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    2.711596] usb 1-2.4: Product: USB Sound Device
[    2.711597] usb 1-2.4: Manufacturer: C-Media INC.
[    5.591318] usb 1-2.4: Warning! Unlikely big volume range (=9472), cval->res is probably wrong.
[    5.591323] usb 1-2.4: [13] FU [PCM Playback Volume] ch = 2, val = -9473/-1/1

$ lsmod | grep snd
snd_hda_codec_realtek    86016  1
snd_hda_codec_generic    73728  1 snd_hda_codec_realtek
snd_hda_codec_hdmi     45056  1
snd_usb_audio         180224  6
snd_hda_intel          36864  13
snd_hda_codec         126976  4 snd_hda_intel,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec_realtek
snd_usbmidi_lib        32768  1 snd_usb_audio
snd_hda_core           81920  5 snd_hda_intel,snd_hda_codec,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec_realtek
snd_seq                69632  0
snd_hwdep              16384  2 snd_hda_codec,snd_usb_audio
snd_rawmidi            32768  1 snd_usbmidi_lib
snd_seq_device         16384  2 snd_seq,snd_rawmidi
snd_pcm               118784  6 snd_hda_intel,snd_hda_codec,snd_usb_audio,snd_hda_core,snd_hda_codec_hdmi
snd_timer              32768  2 snd_seq,snd_pcm
snd                    86016  50 snd_hda_intel,snd_hwdep,snd_seq,snd_hda_codec,snd_usb_audio,snd_timer,snd_rawmidi,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_usbmidi_lib,snd_seq_device,snd_hda_codec_realtek,snd_pcm
soundcore              16384  1 snd
$
Comment 5 Laura Abbott 2017-01-16 20:12:49 EST
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.
Comment 6 John Reiser 2017-01-17 09:44:01 EST
(In reply to Laura Abbott from comment #5)
> *********** MASS BUG UPDATE **************
> If you have moved on to Fedora 26, and are still experiencing this issue,
> please change the version to Fedora 26.

The same problem persists in
    kernel-4.10.0-0.rc3.git4.1.fc26.x86_64
    pulseaudio-9.99.1-1.fc26.x86_64
    alsa-lib-1.1.3-1.fc26.x86_64

In this report I change Version to Rawhide because Fedora26 is not available in the drop-down list box.

Note You need to log in before you can comment on or make changes to this bug.